> ## Documentation Index
> Fetch the complete documentation index at: https://docs.etherscan.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Plasma Deposits by Address

> Retrieves a list of Plasma deposit transactions received by a specified address.

export const chain = '1';

<Badge color="yellow">Polygon Mainnet</Badge> <Badge color="yellow">Gnosis</Badge> <Badge color="yellow">BitTorrent Chain Mainnet</Badge>

<ResponseExample>
  ```json Example response theme={null}
  {
    "status": "1",
    "message": "OK",
    "result": [
      {
        "hash": "0xf645deb2b6fbb8b76ccbcf4bde782e28d3520e8a30e9a568b9b8c526e2fd8434",
        "blockNumber": "51844560",
        "timeStamp": "1704181285",
        "from": "0x0000000000000000000000000000000000000000",
        "address": "0x4880bd4695a8e59dc527d124085749744b6c988e",
        "amount": "2341706540000000000",
        "tokenName": "Polygon Token",
        "symbol": "POL",
        "contractAddress": "0x0000000000000000000000000000000000001010",
        "divisor": "18"
      }
    ]
  }
  ```
</ResponseExample>


## OpenAPI

````yaml openapi/api-reference/endpoint/txnbridge.json GET /v2/api
openapi: 3.1.0
info:
  title: Get Plasma Deposits by Address
  version: 2.0.0
  description: >-
    Retrieves a list of Plasma deposit transactions received by a specified
    address.
  license:
    name: Etherscan API Terms
    url: https://etherscan.io/terms
servers:
  - url: https://api.etherscan.io
    description: Etherscan API.
security:
  - apiKey: []
paths:
  /v2/api:
    get:
      summary: Get Plasma Deposits by Address
      description: >-
        Retrieves a list of Plasma deposit transactions received by a specified
        address.
      operationId: getTxnbridge
      parameters:
        - name: chainid
          in: query
          required: true
          description: >-
            Chain ID to query, eg 137 for Polygon from our [supported
            chains](/supported-chains).
          schema:
            type: string
          example: '137'
        - name: module
          in: query
          required: true
          description: Set to account for this endpoint.
          schema:
            type: string
            default: account
          example: account
        - name: action
          in: query
          required: true
          description: Set to txnbridge for this endpoint.
          schema:
            type: string
            default: txnbridge
          example: txnbridge
        - name: address
          in: query
          required: false
          description: Address to check for Plasma deposits.
          schema:
            type: string
          example: '0x4880bd4695a8e59dc527d124085749744b6c988e'
        - name: page
          in: query
          required: false
          description: Page number for pagination.
          schema:
            type: integer
          example: 1
        - name: offset
          in: query
          required: false
          description: >-
            Number of records per page. Use the page parameter for subsequent
            records.
          schema:
            type: integer
          example: 100
      responses:
        '200':
          description: Successful response
          content:
            application/json:
              schema:
                type: object
                properties:
                  status:
                    type: string
                    description: >-
                      1 if the request returned data, 0 otherwise. A status of 0
                      can indicate an error or a valid request that returned no
                      records.
                  message:
                    type: string
                    description: >-
                      OK on success, otherwise an error description such as
                      NOTOK. See [common error
                      messages](/common-error-messages).
                  result:
                    type: array
                    items:
                      type: object
                      properties:
                        hash:
                          type: string
                          description: Hash of the bridge transaction.
                        blockNumber:
                          type: string
                          description: Block number of the transaction.
                        timeStamp:
                          type: string
                          description: >-
                            Time of the transaction, as a UNIX timestamp in
                            seconds.
                        from:
                          type: string
                          description: Sender address.
                        address:
                          type: string
                          description: Address that received the bridged tokens.
                        amount:
                          type: string
                          description: >-
                            Amount of tokens bridged, in the token's smallest
                            unit.
                        tokenName:
                          type: string
                          description: Name of the bridged token.
                        symbol:
                          type: string
                          description: Symbol of the bridged token.
                        contractAddress:
                          type: string
                          description: Contract address of the bridged token.
                        divisor:
                          type: string
                          description: Number of decimals the token uses.
      security:
        - apiKey: []
components:
  securitySchemes:
    apiKey:
      type: apiKey
      in: query
      name: apikey
      description: >-
        Enter your Etherscan API key, or [set one up](/set-up-your-api-key) if
        you don't have one.

````